Bug 304889 - kmix crash on exit using oxygen-transparent style
Summary: kmix crash on exit using oxygen-transparent style
Status: RESOLVED FIXED
Alias: None
Product: kmix
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Christian Esken
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-09 21:46 UTC by mangus
Modified: 2012-08-29 15:14 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mangus 2012-08-09 21:46:53 UTC
archlinux kde 4.9.0
Possibly related  and discussed 
https://bugs.kde.org/show_bug.cgi?id=303169

dump on exit:

Application: KMix (kdeinit4), signal: Segmentation fault
Using host libthread_db library "/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f31733ed780 (LWP 1063))]

Thread 2 (Thread 0x7f31516d3700 (LWP 1078)):
#0  0x00007f3170a45ebd in poll () from /lib/libc.so.6
#1  0x00007f316d95e744 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f316d95e864 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f3172073c46 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/libQtCore.so.4
#4  0x00007f317204477f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/libQtCore.so.4
#5  0x00007f3172044a08 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/libQtCore.so.4
#6  0x00007f3171f47700 in QThread::exec() () from /lib/libQtCore.so.4
#7  0x00007f31720251af in ?? () from /lib/libQtCore.so.4
#8  0x00007f3171f4a69b in ?? () from /lib/libQtCore.so.4
#9  0x00007f3160def6d4 in ?? () from /lib/libGL.so.1
#10 0x00007f3171cbae0f in start_thread () from /lib/libpthread.so.0
#11 0x00007f3170a4e04d in clone () from /lib/libc.so.6

Thread 1 (Thread 0x7f31733ed780 (LWP 1063)):
[KCrash Handler]
#5  0x00007f31713d1fd9 in QRasterWindowSurface::~QRasterWindowSurface() () from /lib/libQtGui.so.4
#6  0x00007f31713d2059 in QRasterWindowSurface::~QRasterWindowSurface() () from /lib/libQtGui.so.4
#7  0x00007f31713eac6e in ?? () from /lib/libQtGui.so.4
#8  0x00007f31712225d9 in ?? () from /lib/libQtGui.so.4
#9  0x00007f3171222722 in QWidgetPrivate::deleteExtra() () from /lib/libQtGui.so.4
#10 0x00007f317122293d in QWidgetPrivate::~QWidgetPrivate() () from /lib/libQtGui.so.4
#11 0x00007f3171222bc9 in QWidgetPrivate::~QWidgetPrivate() () from /lib/libQtGui.so.4
#12 0x00007f317205bfac in QObject::~QObject() () from /lib/libQtCore.so.4
#13 0x00007f3171224a30 in QWidget::~QWidget() () from /lib/libQtGui.so.4
#14 0x00007f3171224ce9 in QWidget::~QWidget() () from /lib/libQtGui.so.4
#15 0x00007f3171787d05 in ?? () from /lib/libQtGui.so.4
#16 0x00007f31709a1b31 in __run_exit_handlers () from /lib/libc.so.6
#17 0x00007f31709a1bb5 in exit () from /lib/libc.so.6
#18 0x00000000004082b9 in _start ()



Reproducible: Always
Comment 2 Hugo Pereira Da Costa 2012-08-29 14:02:12 UTC
Git commit 731ce67e2d24e11a09471e7a87404ad7c6a0dcfe by Hugo Pereira Da Costa.
Committed on 29/08/2012 at 15:59.
Pushed by hpereiradacosta into branch 'master'.

Do not set argb X property on widget's window, if not created.
Related: bug 303169, bug 305131

M  +2    -1    style/oxygenargbhelper.cpp

http://commits.kde.org/oxygen-transparent/731ce67e2d24e11a09471e7a87404ad7c6a0dcfe
Comment 3 Hugo Pereira Da Costa 2012-08-29 14:03:22 UTC
That fixes it.
Is easy, once you know where to look (do not call widget->winId() too soon)
Comment 4 mangus 2012-08-29 15:14:34 UTC
Thank you, this fixes same problem with gwenview. All is fine now :)